summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-10-15 13:58:10 +0100
committerSam James <sam@gentoo.org>2022-10-15 13:58:10 +0100
commit2cac2a01d770fa260b20696f7ebb378141607cd5 (patch)
tree1e8bce4cd4bb72fa872b726171ecc8050e623c29 /eclass
parentwww-client/vivaldi-snapshot: Drop old 5.5.2805.30 (diff)
downloadgentoo-2cac2a01d770fa260b20696f7ebb378141607cd5.tar.gz
gentoo-2cac2a01d770fa260b20696f7ebb378141607cd5.tar.bz2
gentoo-2cac2a01d770fa260b20696f7ebb378141607cd5.zip
linux-mod.eclass: fix pigz threads argument
I'm sorry, I thought I'd caught this before. Closes: https://bugs.gentoo.org/877207 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/linux-mod.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index 850645106e63..f0005a8cca65 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -720,7 +720,7 @@ linux-mod_src_install() {
doins ${modulename}.${KV_OBJ}.xz
elif linux_chkconfig_present MODULE_COMPRESS_GZIP; then
if type -P pigz &>/dev/null ; then
- pigz -n$(makeopts_jobs) ${modulename}.${KV_OBJ} || die "Compressing ${modulename}.${KV_OBJ} with pigz failed"
+ pigz -p$(makeopts_jobs) ${modulename}.${KV_OBJ} || die "Compressing ${modulename}.${KV_OBJ} with pigz failed"
else
gzip ${modulename}.${KV_OBJ} || die "Compressing ${modulename}.${KV_OBJ} with gzip failed"
fi